<?php
namespace Modules\WeeklySpecial\Http\Controllers;
use Illuminate\Http\JsonResponse;
use Modules\WeeklySpecial\Services\WeeklySpecialService;

class WeeklySpecialController
{
    public function __construct(
        private WeeklySpecialService $weeklySpecialService
    ) {}

    public function index(): JsonResponse
    {
        return response()->json($this->weeklySpecialService->getAll());
    }
}
